Bug 3977 - gem install fails with current Ruby
: gem install fails with current Ruby
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-16 15:28 MSD by Denis Silakov
Modified: 2014-05-06 16:33 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
kuzma.kazygashev: secteam_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2014-04-16 15:28:55 MSD
When trying to launch "gem install smth", ruby fails with the following error:

symbol lookup error: /usr/lib/ruby/1.9.1/x86_64-linux/socket.so: undefined symbol: getipnodebyname
Comment 1 Denis Silakov 2014-04-16 15:30:10 MSD
Advisory:
Rebuilt Ruby with disabled wide-getaddrinfo to fix invocation of "gem install" and other commands that use socket.so.

Build lists:
(32bit) https://abf.io/build_lists/1795124
(64bit) https://abf.io/build_lists/1795125
Comment 2 Alexander Petryakov 2014-04-22 02:05:26 MSD
ruby-1.9.3.p484-2
(32bit) https://abf.io/build_lists/1795124
(64bit) https://abf.io/build_lists/1795125
************** Advisory **************
Rebuilt Ruby with disabled wide-getaddrinfo to fix invocation of "gem install" and other commands that use socket.so.
**************************************
QA Verified